net.sf.jasperreports.components.spiderchart

## Class SpiderChartComponent

- java.lang.Object
- - net.sf.jasperreports.components.spiderchart.SpiderChartComponent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ChartComponent, Component, ContextAwareComponent, JRChangeEventsSupport, JRCloneable

      public class SpiderChartComponent
      extends java.lang.Object
      implements ChartComponent, JRChangeEventsSupport, JRCloneable

  Version:
    $Id: SpiderChartComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CHART_SETTINGS`
    `static java.lang.String` | `PROPERTY_DATASET`
    `static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
    `static java.lang.String` | `PROPERTY_EVALUATION_TIME`
    `static java.lang.String` | `PROPERTY_PLOT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SpiderChartComponent()`
    `protected` | `SpiderChartComponent(SpiderChartComponent chartComponent, JRBaseObjectFactory baseFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `ChartSettings` | `getChartSettings()`
    `ComponentContext` | `getContext()`
    `ChartDataset` | `getDataset()`
    `java.lang.String` | `getEvaluationGroup()`
    `EvaluationTimeEnum` | `getEvaluationTime()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `ChartPlot` | `getPlot()`
    `void` | `setChartSettings(ChartSettings chartSettings)`
    `void` | `setContext(ComponentContext context)`
    `void` | `setDataset(ChartDataset dataset)`
    `void` | `setEvaluationGroup(java.lang.String evaluationGroup)`
    `void` | `setEvaluationTime(EvaluationTimeEnum evaluationTime)`
    `void` | `setPlot(ChartPlot plot)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_CHART_SETTINGS

          public static final java.lang.String PROPERTY_CHART_SETTINGS

      See Also:
        Constant Field Values

    - #### PROPERTY_DATASET

          public static final java.lang.String PROPERTY_DATASET

      See Also:
        Constant Field Values

    - #### PROPERTY_PLOT

          public static final java.lang.String PROPERTY_PLOT

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_TIME

          public static final java.lang.String PROPERTY_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_GROUP

          public static final java.lang.String PROPERTY_EVALUATION_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpiderChartComponent

          public SpiderChartComponent()

    - #### SpiderChartComponent

          protected SpiderChartComponent(SpiderChartComponent chartComponent,
                              JRBaseObjectFactory baseFactory)

  - ### Method Detail

    - #### getChartSettings

          public ChartSettings getChartSettings()

      Specified by:
        `getChartSettings` in interface `ChartComponent`
      Returns:
        the chart

    - #### setChartSettings

          public void setChartSettings(ChartSettings chartSettings)

      Parameters:
        `chartSettings` - the chart to set

    - #### getDataset

          public ChartDataset getDataset()

      Specified by:
        `getDataset` in interface `ChartComponent`
      Returns:
        the dataset

    - #### getPlot

          public ChartPlot getPlot()

      Specified by:
        `getPlot` in interface `ChartComponent`
      Returns:
        the plot

    - #### setDataset

          public void setDataset(ChartDataset dataset)

    - #### setPlot

          public void setPlot(ChartPlot plot)

    - #### getEvaluationTime

          public EvaluationTimeEnum getEvaluationTime()

      Specified by:
        `getEvaluationTime` in interface `ChartComponent`
      Returns:
        the evaluationTime

    - #### setEvaluationTime

          public void setEvaluationTime(EvaluationTimeEnum evaluationTime)

      Parameters:
        `evaluationTime` - the evaluationTime to set

    - #### getEvaluationGroup

          public java.lang.String getEvaluationGroup()

      Specified by:
        `getEvaluationGroup` in interface `ChartComponent`
      Returns:
        the evaluationGroup

    - #### setEvaluationGroup

          public void setEvaluationGroup(java.lang.String evaluationGroup)

      Parameters:
        `evaluationGroup` - the evaluationGroup to set

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### getContext

          public ComponentContext getContext()

      Specified by:
        `getContext` in interface `ContextAwareComponent`

    - #### setContext

          public void setContext(ComponentContext context)

      Specified by:
        `setContext` in interface `ContextAwareComponent`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com